# string::ends-with

Tests whether the specified string ends with the specified suffix string.

### Usage

`bool string::ends-with(s1, s2)`

### Parameters

Name | Type | Description
--- | --- | ---
s1 | string | test string
s2 | string | suffix string

### Return Value

true when s2 is a suffix for the string s1. Meaning, the characters at the end of s1 are identical to s2; otherwise, false.

### Remarks

This function performs a case-sensitive word search using the invariant culture.

### Examples

-     string::ends-with('testing string', 'string') ==> true

-     string::ends-with('testing string', '') ==> true

-     string::ends-with('testing string', 'bring') ==> false

-     string::ends-with('string', 'testing string') ==> false

### Requirements

Assembly: NAnt.Core (0.92.4543.0)